Bug 19972 - Holds to pull should honor syspref "item-level_itypes"
Summary: Holds to pull should honor syspref "item-level_itypes"
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Victor Grousset/tuxayo
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-15 16:29 UTC by Victor Grousset/tuxayo
Modified: 2018-10-24 09:13 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19972: pendingreserves.pl now honors syspref "item-level_itypes" (5.31 KB, patch)
2018-01-16 13:29 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19972: pendingreserves.pl now honors syspref "item-level_itypes" (5.37 KB, patch)
2018-03-13 16:04 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 19972: Make holds to pull list honors item-level_itypes syspref (5.42 KB, patch)
2018-04-22 21:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19972: (QA follow-up) Fix id name (1.60 KB, patch)
2018-04-22 21:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19972: Make holds to pull list honors item-level_itypes syspref (5.44 KB, patch)
2018-04-26 12:04 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19972: (QA follow-up) Fix id name (1.61 KB, patch)
2018-04-26 12:04 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Grousset/tuxayo 2018-01-15 16:29:47 UTC
Test plan:
1. Set syspref "item-level_itypes" to "specific item"
2. Create a hold on a record with one item
3. Change the document type of the item
4. Check that the item edition page and the record page show 2 different types.
5. Go to /cgi-bin/koha/circ/pendingreserves.pl
6. Check that the displayed type is the item one
7. Set syspref "item-level_itypes" to "biblio record"
8. Go to /cgi-bin/koha/circ/pendingreserves.pl
9. See that the displayed type is the item one. When the sysopref says "record"
     This is the bug.
Comment 1 Victor Grousset/tuxayo 2018-01-16 13:29:00 UTC
Created attachment 70549 [details] [review]
Bug 19972: pendingreserves.pl now honors syspref "item-level_itypes"

And reflect that in the UI strings + variable names

Test plan:
1. Set syspref "item-level_itypes" to "specific item"
2. Create a hold on a record with one item
3. Change the document type of the item
4. Check that the item edition page and the record page show 2 different
     types.
5. Go to /cgi-bin/koha/circ/pendingreserves.pl
6. Check that the displayed type is the item one
7. Set syspref "item-level_itypes" to "biblio record"
8. Go to /cgi-bin/koha/circ/pendingreserves.pl
9. See that the displayed type is the item one. When the sysopref says
     "record"
     This is the bug.
10. Apply this patch
11. Go to /cgi-bin/koha/circ/pendingreserves.pl
12. See that the displayed type now follows the syspref
13. Set syspref "item-level_itypes" to "specific item"
14. Go to /cgi-bin/koha/circ/pendingreserves.pl
15. See that the displayed type still follows the syspref
Comment 2 sandboxes@biblibre.com 2018-03-13 16:04:11 UTC
Patch tested with a sandbox, by Lucie Gay <lucie.gay@ens-paris-saclay.fr>
Comment 3 sandboxes@biblibre.com 2018-03-13 16:04:34 UTC
Created attachment 72804 [details] [review]
Bug 19972: pendingreserves.pl now honors syspref "item-level_itypes"

And reflect that in the UI strings + variable names

Test plan:
1. Set syspref "item-level_itypes" to "specific item"
2. Create a hold on a record with one item
3. Change the document type of the item
4. Check that the item edition page and the record page show 2 different
     types.
5. Go to /cgi-bin/koha/circ/pendingreserves.pl
6. Check that the displayed type is the item one
7. Set syspref "item-level_itypes" to "biblio record"
8. Go to /cgi-bin/koha/circ/pendingreserves.pl
9. See that the displayed type is the item one. When the sysopref says
     "record"
     This is the bug.
10. Apply this patch
11. Go to /cgi-bin/koha/circ/pendingreserves.pl
12. See that the displayed type now follows the syspref
13. Set syspref "item-level_itypes" to "specific item"
14. Go to /cgi-bin/koha/circ/pendingreserves.pl
15. See that the displayed type still follows the syspref

Signed-off-by: Lucie Gay <lucie.gay@ens-paris-saclay.fr>
Comment 4 Marcel de Rooy 2018-04-06 10:20:28 UTC
Maybe type-filter is not the best of names?
This filter currently works a bit weird, and also with your patch.
If a biblio has two items of a different type, I see two item types on one line in the dropdown. Can we fix it here or is it already out of scope?
Comment 5 Victor Grousset/tuxayo 2018-04-14 16:58:19 UTC
(In reply to Marcel de Rooy from comment #4)
> Maybe type-filter is not the best of names?

Which name can I use to replace it?

> This filter currently works a bit weird, and also with your patch.
> If a biblio has two items of a different type, I see two item types on one
> line in the dropdown. Can we fix it here or is it already out of scope?

I must be a followup patch anyway (already signed off) so can it be another bugzilla?
Comment 6 Katrin Fischer 2018-04-22 21:31:13 UTC
Created attachment 74706 [details] [review]
Bug 19972: Make holds to pull list honors item-level_itypes syspref

And reflect that in the UI strings + variable names

Test plan:
1. Set syspref "item-level_itypes" to "specific item"
2. Create a hold on a record with one item
3. Change the document type of the item
4. Check that the item edition page and the record page show 2 different
     types.
5. Go to /cgi-bin/koha/circ/pendingreserves.pl
6. Check that the displayed type is the item one
7. Set syspref "item-level_itypes" to "biblio record"
8. Go to /cgi-bin/koha/circ/pendingreserves.pl
9. See that the displayed type is the item one. When the sysopref says
     "record"
     This is the bug.
10. Apply this patch
11. Go to /cgi-bin/koha/circ/pendingreserves.pl
12. See that the displayed type now follows the syspref
13. Set syspref "item-level_itypes" to "specific item"
14. Go to /cgi-bin/koha/circ/pendingreserves.pl
15. See that the displayed type still follows the syspref

Signed-off-by: Lucie Gay <lucie.gay@ens-paris-saclay.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2018-04-22 21:31:30 UTC
Created attachment 74707 [details] [review]
Bug 19972: (QA follow-up) Fix id name

Renames #type-filter to #itemtype-filter
Comment 8 Katrin Fischer 2018-04-22 21:32:13 UTC
Victor, please file another bug for the problem with the datatables filter, thx!
Comment 9 Victor Grousset/tuxayo 2018-04-23 14:04:06 UTC
(In reply to Katrin Fischer from comment #7)
> Created attachment 74707 [details] [review] [review]
> Bug 19972: (QA follow-up) Fix id name
> 
> Renames #type-filter to #itemtype-filter

Thanks, I didn't dare to name it itemtype or itype because it can actually be both. So I though it would be confusing.
Comment 10 Katrin Fischer 2018-04-23 14:50:52 UTC
(In reply to Victor Grousset/tuxayo from comment #9)
> (In reply to Katrin Fischer from comment #7)
> > Created attachment 74707 [details] [review] [review] [review]
> > Bug 19972: (QA follow-up) Fix id name
> > 
> > Renames #type-filter to #itemtype-filter
> 
> Thanks, I didn't dare to name it itemtype or itype because it can actually
> be both. So I though it would be confusing.

I wouldn't overthink the name. I think not naming them the same was just a historical QA oversight.
Comment 11 Victor Grousset/tuxayo 2018-04-26 12:04:45 UTC
Created attachment 74878 [details] [review]
Bug 19972: Make holds to pull list honors item-level_itypes syspref

And reflect that in the UI strings + variable names

Test plan:
1. Set syspref "item-level_itypes" to "specific item"
2. Create a hold on a record with one item
3. Change the document type of the item
4. Check that the item edition page and the record page show 2 different
     types.
5. Go to /cgi-bin/koha/circ/pendingreserves.pl
6. Check that the displayed type is the item one
7. Set syspref "item-level_itypes" to "biblio record"
8. Go to /cgi-bin/koha/circ/pendingreserves.pl
9. See that the displayed type is the item one. When the sysopref says
     "record"
     This is the bug.
10. Apply this patch
11. Go to /cgi-bin/koha/circ/pendingreserves.pl
12. See that the displayed type now follows the syspref
13. Set syspref "item-level_itypes" to "specific item"
14. Go to /cgi-bin/koha/circ/pendingreserves.pl
15. See that the displayed type still follows the syspref

Signed-off-by: Lucie Gay <lucie.gay@ens-paris-saclay.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Victor Grousset/tuxayo 2018-04-26 12:04:49 UTC
Created attachment 74879 [details] [review]
Bug 19972: (QA follow-up) Fix id name

Renames #type-filter to #itemtype-filter
Comment 13 Victor Grousset/tuxayo 2018-04-26 12:10:59 UTC
- rebased and solved a conflict
- retried the test plan
- did a diff between the previous patches file; to check that the rebased didn't impacted the actual changes; and confirm that a new sign off should be required
Comment 14 Jonathan Druart 2018-05-03 16:40:53 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 15 Victor Grousset/tuxayo 2018-06-12 07:07:54 UTC
Oups, I should have wrote «and confirm that a new sign off should **not** be required»

Thanks Jonathan for still understanding ^^ and having moved the patch forward! :D
Comment 16 Fridolin SOMERS 2018-06-14 12:55:34 UTC
Pushed to 17.11.x for 17.11.07.

Easy rebase conflict because JS has moved to bottom.